﻿var currentSetting;
var defaultBitrate = "http://142.4.202.125:8020/192mp3 ";
var lastBitrate;
var URLlatestVersion = "http://apps.buchtic.net/data/trash_radio.txt";
var actualVersion = "1.6.5";
var updateIntervalVersion = 86400000;
var currentVolume;

window.onload = function() {
	currentSetting = System.Gadget.Settings.read("bitrate");
	if (currentSetting != ""){
		mediaPlayer.url  = currentSetting;
	} else {
		currentSetting = defaultBitrate;
		mediaPlayer.url = defaultBitrate;
		}
	System.Gadget.settingsUI = "settings.html";
	System.Gadget.onSettingsClosed = SettingsClosed;
	lastBitrate = currentSetting;
}

function SettingsClosed(event) {
	lastBitrate = currentSetting;
	currentSetting = System.Gadget.Settings.read("bitrate");
	if (event.closeAction == event.Action.commit){
		if(currentSetting != lastBitrate){
		mediaPlayer.url = currentSetting;
		}
	}else if(event.closeAction == event.Action.cancel){
	}
}

function getLatestVesion() {
	var d = new Date;
	var ut_ms = d.getTime();
	var ut = parseInt(ut_ms / 1000);
	reqVersion = new ActiveXObject("Microsoft.XMLHTTP");
	reqVersion.onreadystatechange = verifyLatestVersion;
	reqVersion.open("GET", URLlatestVersion + "?" + ut, true);
	reqVersion.send();
	setTimeout("getLatestVesion()",updateIntervalVersion);
}

function verifyLatestVersion() {
	version = reqVersion.responseText;
	if(version != actualVersion){
		currSong.innerHTML = "Je dostupná nová verze! <a href='http://blog.buchtic.net/miniaplikace-pro-windows-trash-radio?utm_source=miniaplikace&utm_medium=trash_radio&utm_campaign=nova_verze'>Stáhnout</a><br /><br />";
	}
}

function PlayStop() {
	if (controlImage.src == "images/stop.png"){
		mediaPlayer.controls.stop();}
	else {
		mediaPlayer.controls.play();}
}

function playStateChange(newstate) {
	switch (newstate){ 
	case 1: // Stopped
		//playbackStatus.innerHTML = "Zastaveno";
		controlImage.src = "images/play.png";
		break;

	case 2: // Paused
		//playbackStatus.innerHTML = "Pozastaveno";
		controlImage.src = "images/pause.png";
		break;

	case 3: // Playing
		//playbackStatus.innerHTML = "Přehrávám";
		controlImage.src = "images/stop.png";
		break;

	case 6: // Buffering
		//playbackStatus.innerHTML = "Buffering";
		break;

	case 7: // Waiting
		//playbackStatus.innerHTML = "Čekám";
		break;

	case 8: // Media Ended
		//playbackStatus.innerHTML = "Konec média";
		controlImage.src = "images/play.png";
		break;

	case 9: // Ready
		//playbackStatus.innerHTML = "Připraven";
		controlImage.src = "images/play.png";
		getLatestVesion();
		break;
	}
}

function mute() {
	if(mediaPlayer.settings.volume == 0){
		mediaPlayer.settings.mute = 0;
		mediaPlayer.settings.volume = 50;
	} else {
		mediaPlayer.settings.volume = 0;
		mediaPlayer.settings.mute = 1;
	}
		volumeStatus();
}

function volUp() {
	mediaPlayer.settings.volume = (mediaPlayer.settings.volume + 10);
	volumeStatus();
}

function volDown() {
	mediaPlayer.settings.volume = (mediaPlayer.settings.volume - 10);
	volumeStatus();
}

function mousewheelVolume() {
	if (event.wheelDelta >= 20){
		mediaPlayer.settings.volume = (mediaPlayer.settings.volume + 10);
	} else {
		mediaPlayer.settings.volume = (mediaPlayer.settings.volume - 10);
	}
	volumeStatus();
}

function volumeStatus(){
	if(mediaPlayer.settings.volume == 0){
		controlImageMute.src = "images/mute_off.png";
	} else {
		controlImageMute.src = "images/mute_on.png";
	}
}